Package ru.bitel.oss.systems.inventory.resource.common.service

# Interface DeviceService<D extends Device,​T extends DeviceType>

All Known Subinterfaces:
  `InetDeviceService`, `TvDeviceService`, `VoiceDeviceService`

    public interface DeviceService<D extends Device,​T extends DeviceType>

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `deviceConfigPreview​(int id)` |
  `void` | `deviceDelete​(int id)` |
  `D` | `deviceGet​(int id)` |
  `void` | `deviceGroupDelete​(int id)` |
  `DeviceGroup` | `deviceGroupGet​(int id)` |
  `DeviceGroup` | `deviceGroupRoot()` |
  `int` | `deviceGroupUpdate​(DeviceGroup d)` |
  `java.util.List<D>` | `deviceList​(int deviceTypeId)` |
  `java.util.List<DeviceManagerMethod>` | `deviceManagerMethodList​(int deviceTypeId)` |
  `void` | `deviceMove​(int id, java.util.Set<java.lang.Integer> cutSet)` |
  `D` | `deviceRoot​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupLink)` |
  `void` | `deviceTypeDelete​(int id)` |
  `T` | `deviceTypeGet​(int id)` |
  `java.util.List<T>` | `deviceTypeList()` |
  `int` | `deviceTypeUpdate​(T d)` |
  `int` | `deviceUpdate​(D device)` |

- ## Method Details

  - ### deviceGroupGet

    DeviceGroup deviceGroupGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceGroupRoot

    DeviceGroup deviceGroupRoot() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceGroupUpdate

    int deviceGroupUpdate​(DeviceGroup d) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceGroupDelete

    void deviceGroupDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceTypeGet

    T deviceTypeGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceTypeList

    java.util.List<T> deviceTypeList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceTypeUpdate

    int deviceTypeUpdate​(T d) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceTypeDelete

    void deviceTypeDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceRoot

    D deviceRoot​(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter, boolean loadDeviceGroupLink) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceGet

    D deviceGet​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceUpdate

    int deviceUpdate​(D device) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceMove

    void deviceMove​(int id, java.util.Set<java.lang.Integer> cutSet) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceDelete

    void deviceDelete​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceList

    java.util.List<D> deviceList​(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceConfigPreview

    java.lang.String deviceConfigPreview​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deviceManagerMethodList

    java.util.List<DeviceManagerMethod> deviceManagerMethodList​(int deviceTypeId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`